| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
LuaDebuggerSettingsStore Class Reference

In-memory Lua debugger UI settings backed by lua_debugger.json (global personal config, not per-profile). More...

`#include <lua_debugger_settings.h>`

## Public Member Functions
void | loadFromFile ()
| Loads settings from lua_debugger.json into the internal map.
void | saveToFile () const
| Persists the current settings map to lua_debugger.json.
QVariantMap & | map ()
| Returns a mutable reference to the underlying settings map.
const QVariantMap & | map () const
| Returns a read-only reference to the underlying settings map.

## Static Public Member Functions
static QJsonArray | jsonArrayAt (const QVariantMap &map, const char *key)
| Extracts a JSON array from a QVariantMap by key.

## Detailed Description

In-memory Lua debugger UI settings backed by lua_debugger.json (global personal config, not per-profile).

## Member Function Documentation

## ◆ jsonArrayAt()

QJsonArray LuaDebuggerSettingsStore::jsonArrayAt | ( | const QVariantMap & | map,
|  | const char * | key )
| static

Extracts a JSON array from a QVariantMap by key.

QVariantMap values for JSON arrays are typically QVariantList of QVariantMap.

Parameters

  map | The source variant map to read from.
  key | The key whose value should be interpreted as a JSON array.

Returns
  A QJsonArray constructed from the value at `key`, or an empty array if absent.

## ◆ map() [1/2]

QVariantMap & LuaDebuggerSettingsStore::map | ( |  | ) |
| inline

Returns a mutable reference to the underlying settings map.

Returns
  Reference to the internal QVariantMap.

## ◆ map() [2/2]

const QVariantMap & LuaDebuggerSettingsStore::map | ( |  | ) | const
| inline

Returns a read-only reference to the underlying settings map.

Returns
  Const reference to the internal QVariantMap.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/lua_debugger/lua_debugger_settings.h
- /builds/wireshark/wireshark/ui/qt/lua_debugger/lua_debugger_settings.cpp